%define anolis_release 1

Name:		transfig
Version:	3.2.8b
Release:  %{anolis_release}%{?dist}
Summary:	Utility for converting FIG files (made by xfig) to other formats
License:	MIT
URL:		https://sourceforge.net/projects/mcj/
Source0:	http://downloads.sourceforge.net/mcj/fig2dev-%{version}.tar.xz
Patch1:		0001-Correct-a-typo-causing-incorrect-eps-import-137.patch

Requires:	ghostscript
Requires:	bc
Requires:	netpbm-progs

BuildRequires:	make gcc libtool
BuildRequires:	libpng-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libXpm-devel
BuildRequires:	ghostscript

%description
The transfig utility creates a makefile which translates FIG (created
by xfig) or PIC figures into a specified LaTeX graphics language (for
example, PostScript(TM)).  Transfig is used to create TeX documents
which are portable (i.e., they can be printed in a wide variety of
environments).

Install transfig if you need a utility for translating FIG or PIC
figures into certain graphics languages.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.


%prep
%autosetup -p1 -n fig2dev-%{version}
autoreconf -i
# Fix the manpage not being in UTF-8
iconv -f ISO-8859-15 -t UTF-8 man/fig2dev.1.in -o fig2dev.1.in.new
touch -r man/fig2dev.1.in fig2dev.1.in.new
mv fig2dev.1.in.new man/fig2dev.1.in


%build
%configure --enable-transfig
%make_build


%install
%make_install

%generate_compatibility_deps


%files
%dir %{abidir}
%{_bindir}/transfig
%{_bindir}/fig2dev
%{_bindir}/fig2ps2tex
%{_bindir}/pic2tpic
%{abidir}/*-option.list
%{_datadir}/fig2dev/i18n/*.ps
%{_mandir}/man1/*.1.*

%files doc
%doc CHANGES transfig/doc/manual.pdf


%changelog
* Wed Apr 5 2023 Ziyang Zhang <ZiyangZhang@linux.alibaba.com> - 3.2.8b-1
- Init package from upstream v3.2.8b